// Copyright (c) 2002 Andreas Jnsson of www.AngelCode.com

#ifndef MYWINDOW_H
#define MYWINDOW_H

#include "simplewindow.h"

#define DATA_LENGTH 512

class cMyWindow : public cSimpleWindow
{
public:
	cMyWindow();

	int Create(int x, int y);

protected:
    LRESULT MsgProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);

	void ComputeSample(int wave);

	void OnPaint();
	void DrawGraph(HDC dc);
	void ShowGraph(int graph);

	void SetWavelet(int wl);

	float original[DATA_LENGTH];
	float data[DATA_LENGTH];

	bool showBackground;

	float even;
	float odd;

	static BOOL CALLBACK AboutProc(HWND hwndDlg, UINT message, WPARAM wParam, LPARAM lParam);
};

#endif