// Copyright (c) 2002 Andreas Jnsson of www.AngelCode.com

#ifndef ANALYZE_H
#define ANALYZE_H

void WaveletAnalyze(int N, float *xin, float even, float odd, float *yout);
void WaveletSynthesize(int N, float *yin, float even, float odd, float *xout);

void WaveletAnalyzeStep(int N, float *xin, float even, float odd, float *xout);
void WaveletSynthesizeStep(int N, float *xin, float even, float odd, float *xout);

void GenerateScalingFunction(float even, float odd, int length, float *out);
void GenerateWaveletFunction(float even, float odd, int length, float *out);

#endif